Name:           libXScrnSaver
Version:        1.2.3
Release:        4
License:        MIT
Summary:        Runtime library for X.Org X11 libXss 
URL:            http://www.x.org
Source0:        https://www.x.org/pub/individual/lib/%{name}-%{version}.tar.bz2

BuildRequires:  xorg-x11-util-macros autoconf automake libtool pkgconfig
BuildRequires:  xorg-x11-proto-devel libX11-devel libXext-devel

%description
This package contains the runtime library for X.Org X11 libXss.

%package devel
Summary:        Development package for %{name}
Requires:       %{name} = %{version}-%{release}

%description devel
This package contains some libraries and header files for
development of %{name}.

%package help
Summary:        Help package for %{name}
Requires:       %{name} = %{version}-%{release}

%description help
This package contains some docs and man files for %{name}.

%prep
%autosetup -p1

%build
autoreconf -v --install --force
%configure --disable-static
%make_build CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"

%install
%make_install
%delete_la

%post
/sbin/ldconfig
%postun
/sbin/ldconfig

%files
%doc COPYING
%{_libdir}/libXss.so.*

%files devel
%{_libdir}/libXss.so
%{_libdir}/pkgconfig/xscrnsaver.pc
%{_includedir}/X11/extensions/scrnsaver.h

%files help
%doc README ChangeLog
%{_mandir}/man3/*.3*

%changelog
* Tue Mar 10 2020 yanglijin <yanglijin@huawei.com> - 1.2.3-4
- modify install failed

* Wed Oct 23 2019 huzhiyu <huzhiyu1@huawei.com> - 1.2.3-3
- Package init
